Network Install

NETWORK INSTALLATION

Introduction

This topic is intended for System Administrators to assist with the deployment of the Proteus Design Suite over a network. There are three available license types for server licensing, namely:

  • Local Area Network License (LAN License)
  • Distributed License (WAN License)
  • Cloud License

Please make sure you know which license type you have purchased before you begin installation as the installation procedures are different for each.

Installation requires full administrative rights and work should only be undertaken by a competent professional. Technical support from Labcenter is available but may be limited due to the variety of configurations possible with the setup of a given network and server.

Notes
  • A single license key must contain all of the required products. You cannot, for example, have a single 25 user license comprising 17 'Proteus PCB Level 2' and 8 'Proteus VSM for ARM Cortex-M3'.
  • The authorisation of a license by a client machine authorises all of the products on the license.
  • License for use on a virtual machine requires additional authentication. Please contact your representative for details.
  • For security reasons, not all licensing technologies are available in all territories. Please contact your representative for details.

Tokens and Idle Detection

When a seat is acquired by a client machine it receives a token and this token must be refreshed periodically. Think of this as a heartbeat to make sure that the computer is still present and that Proteus is still in use. What this means is that a seat cannot be 'captured' by means of unplugging the network cable for example and ensures that the correct number of seats will be available for use.

Separately, the Proteus software is able to detect when the application is open but idle. In this situation the seat will be released after a short period of time. When the user attempts to start using Proteus again one of two things will happen:

  • A seat is available in the pool and will quietly be acquired by the user. This will happen seamlessly and the user is unlikely to notice that their seat has been released and re-acquired.
  • A seat is not available in the pool. The user will receive a message to say that all seats are currently in use and they must then save their work and exit.

If a seat is required for a particular purpose it should be reserved (taken from the pool). Cloud licenses allows reservations based on both time periods (e.g. during class hours) and dates as well as permanent reservations whereas WAN licenses allow only permanent reservations.


CLOUD LICENSES

Cloud Server Licensing

With a cloud server license Labcenter will create your license on a server instance and provide a URL to the web portal interface for you to log in and manage it. At the point we transition the web portal to you client machines will be able to log on and you should know how to create groups, reservations and administrators for the license. Labcenter can provide a short training session or support on managing the web portal and you can also find a short intro movie linked below.

Cloud Licensing Web Portal

Since the license key is never available on client computers all students (or users) can be given access to install the full professional version of the software. This is true both for machines owned by the institute or on their own laptops / desktops at home.

Web Portal Configuration

When you purchase a cloud license you will be provided with access credentials to the web portal. You'll find a help file PDF with detailed information on how to use the web portal via the Help button on the portal menu.

Client Installation (Per Machine)

1) Run the installer and select remote license on the licensing screen.

2) Enter the URL for the cloud license server that has been provided to you. This will be something like licensing.labcenter.com:8884/pcls/<institute>/ (note nothing before the word licensing and there must be a ' / ' on the end!)

3) Finish the install and start Proteus. Enter the username and password. This will be determined by the settings in the web portal. To log in to a division the username is the division prefix and the password is the division password. To log into a group in a division (e.g. to ensure guaranteed access during reservation times) the username is <division prefix>\<group name> an the password is the group password.

4) Log in and start using Proteus.

Client Installation (Batch / Silent Install)

This topic provides suggestions for installing the Proteus software on multiple client machines.

Advanced users only. This topic is intended for System Administrators and knowledge of Active Directory (Push commands).

The Proteus 8 installer is an MSI installer and system administrators can make use of this to help with large deployments.

Command line silent installation involves two steps.

1) Extract the MSI on Server

From the (administrative) command prompt you type something like:

setup_pro8.12.30540.0.exe /exenoui /a // /passive /qn TARGETDIR="\\Networkshare\ProteusSetup\"

where setup_pro8.12.30540.0.exe is the Proteus installer and the TARGETDIR path is the path to extract to. Typically executed on the server. It will extract the MSI and also several other required folders which will be the extracted CAB file.

2) Silent Install on the Client

Next, from the (administrative) command prompt, install to the clients. For example:

msiexec /i "\\networkshare\ProteusSetup\setup_pro8.12.30540.0.msi"
 /qn DATA_DIR="C:\ProgramData\Labcenter Electronics\Proteus 8 Professional\"
 APPDIR="C:\Program files (x86)\Labcenter Electronics\Proteus 8 Professional\"
 KEY_SERVER="URL"

There are two Directories that Proteus is installed in. One is the Program itself which should go in to the Program File (x86) folder as this is a read only folder in Windows, and the second is the data file which should be in the ProgramData folder, which is hidden but writable by the user. The latter stores any files that may need to be modified my the user.

"URL" will be the link that we have provided: licensing.labcenter.com:8885/pcls/<InstistuteName>

To install a language pack with the installation the LANG_PACK="full path to language pack" can be appended. To prevent the re-installation of a language pack the NO_LANG_PACK=1 option can be appended.

Batch files on the client side can help with automation of this step.

Batch Installation

Batch installation is explained by Microsoft here: https://docs.microsoft.com/en-us/troubleshoot/windows-server/group-policy/use-group-policy-to-install-software

Update Control

In large corporations or institutions you may want to control the deployment of updates on client machines. This can be done by setting registry keys on the clients as follows:

HKLM\SOFTWARE\[Wow6432Node\]Labcenter Electronics\Proteus 8 Professional\Update Manager

Key values are then:

  • UpdateSchedule : a dword value in days between 2 and 30. This is the checking period for the client.
  • IgnoreBetas: an optional string which can be added and set to either "true" or "false"
  • disableUpdateInstallation: an optional string can be added and set to either "true" or "false". This will prevent any client machines from installing available updates independently.


LOCAL SERVER LICENSES

Local Server Licensing

In this system the license key, along with some utility software and a hardware dongle, are installed on a server in your institute. The Proteus software is then deployed onto the client machines and told to use the server for authentication. The license server will automatically arbitrate licenses based on the number of licenses in use and the number of seats purchased.

For example:

  1. Customer purchases a 50 user license.
  2. The license key is installed on the server, along with the license server and the USB dongle.
  3. The software is deployed on all of the client machines.
  4. At any given time, only 50 copies of Proteus will be allowed to run. The launch of the 51st copy will fail with a licensing error.

Prerequisites

Prior to installation you will need the following:

1) Key Server Installer.

2) Proteus License Key.

3) Proteus Software Installer.

4) Hardware USB dongle

The keyserver is designed to run on Windows Server 2003, Windows Server 2008, Windows Server 2012, Windows 7, Windows 8 and Windows 10. The server requires a USB port for the USB licence dongle.

The Proteus Key Server uses HTTPS:

  • For a LAN license the keyserver must be run on the same subnet as all the clients.
  • For a WAN license the keyserver provides two options:

Distributed Licencing (Internal IP address)

If you are using an internal IP address such as 10.0.0.12 or 192.168.1.87 then the server *must* still need to be able to contact the Labcenter HTTPS server to obtain a token. Without these tokens, Proteus on the client machines will not work. These tokens are issued / checked by the Labcenter server every hour. Should the server fail to obtain a token or not be given a token, the software will load on the client machines, but be unusable and provide it's own error message. You will see from the server console that a red message will appear and that the diagnostic logs explain that the LLTS (Labcenter Licencing Token System) has been unable to obtain a token:

On the client machine you will get a message like this:

When a token has been received The server console will look something like this:

Distributed Licencing (Public facing IP address)

If you are using a publicly routable IP address then tokens are not used as your server will have constant contact with the Labcenter Server.

The installation process falls into two distinct steps:

Server Installation

Do not insert the USB Dongle before running the installer. If you do, Windows may attempt (and fail) to find a suitable driver for the dongle.

This is the installation and configuration of the HTTP Key Server onto the server. It enables the licensing of many client machines from a single service on the server.

  • Extract the contents of the zip file into a directory on your computer.
  • Run the provided installer as an Administrator (Right click on the file > Run As Admin), which will install the licence service controller, configure a firewall rule.

IP Address and Port Configuration

Open the service controller from the 'Proteus HTTP Key Server' program group and select an IP address and port which is compatible with the network environment. 0.0.0.0 means that you are listening to all IP addresses which would be correct for the majority of lab/site installations. You want to select a port which is unique to the service - if another application is bound to the port the service will not run (it is set to 8884 by default).

Licence Key Installation

Next, open the Licence Manager utility from the Key Server Controller and apply the license file provided to you. Hovering the mouse over the license should show that it requires a hardware key (USB dongle) and what type of network licence it is. Press the install button to move the license key into the registry. You can also identify whether you have a LAN or WAN license from the Network Server Field as shown below.

License key setup for a LAN (local) License.

Licence key set up for a WAN Licence. Note that there is a Public IP address in the 'Network Server' field.

If you click on the Manager button and nothing happens, it could be that your Anti Virus software is blocking the LICENCE.EXE utility from opening. Add "C:\Program Files (x86)\Labcenter Electronics\Proteus HTTP Key Server\LICENCE.EXE" to your exclusion list in your Anti Virus software.

For a Local (LAN) License, when you close licence manager your licensing status should appear green, indicating a valid license has been installed.

Local License Key Install Complete.

Distributed License Key Install Complete.

For a Distributed (WAN) License, you also need to set up a password.

Password Configuration (WAN License only)

In the case of a WAN License, this is a required step. It increases security and also gives you control over the license set and allows you for example to regulate student usage over the calendar year. It works a bit like a home wireless network where you set the password on the server and then add it to every machine that you wish to be able to connect. The password is set via the Service Controller Application. The first screen you will see is:

1) If all users will be using a pool of licences, then simply click on Manage:

2) Click Set and enter in a password of your choice, then save the changes and click OK:

If you would like different users to have different passwords or usernames, please see Managed Groups (Single Licence Key)

3) Hit the ‘Apply Changes’ button to restart the service with your changes. You should then see that both the service status and the Licence status are now green.

Server Controller set up correctly.

Managed Groups (WAN)

It may be preferable to have multiple groups of users. For example Year 1, Year 2 and Year 3 to log in under different usernames and passwords. To set this up:

Click on Manage:

)

1) Click on New Group

2) Give the group a name.

3) Click on Set and type in a password of your choice.

4) Set the number of sets required for that group

5) Click on Save Changes

Repeat 1) to 5) for each group you want.

6) Click OK to exit.

You will need to click on Apply Changes for the settings to 'go live'.

See Also:

Client Install - Password Configuration.

Apply Changes

Click the Apply Changes button to commit and restart the service with your new IP and port configuration. Finally, Insert the USB Dongle to complete server configuration If there are any red areas, click on the Reload button. The service status should now also show green:

Local License Configured Correctly

Distributed License Configured Correctly.

Manual firewall configuration may be required following installation, particularly if a third party firewall is installed.

Manual Reservation System (WAN Licenses Only)

The reservation system for Cloud licenses is far better and works much like a calendar. It is also easily managed via the web portal interface. The discussion below refers to managing reservations only for WAN licenses.

See Also:

Web Portal & Cloud License Reservations

If you wish not to use the Managed Groups option or wish to reserve seats via an IP Address range, you can manually enter the information. Note that all the users will have the same password which will use the Default Group password.

Select the licence key that you wish to reserve the seats under and click the 'Edit' button to protect a number of seats inside a subnet IP address range.

The idea here is to allow the system administrator to control access to the license outside of the lab(s). For example, with a 200 user WAN license the desired setup might be:

- 50 Users reserved in classroom on campus A

- 75 Users reserved in two classrooms on campus B

- 1 License reserved to Lecturer A at home (static IP address required)

- The remaining pool licenses used on a first come, first served basis for students at home.

Together with the required password system, this provides the administrator with total control over license allowances.

Note that this file uses the CIDR notation. Also, be aware that if you reserve all of your seats there will be no access at all outside of the entered IP range(s).

This can also be a named Division, department or user in the following format:

named: <Department>, <Seats>

This needs to be inserted above the ##Auto: Do Not Edit Below The Line!

You must hit the Apply Changes button after editing to restart the service.

Firewall

The Windows Firewall is configured by the installer to allow the Proteus HTTP Key Server service to accept network connections. Nevertheless the firewall may need manual configuration, and firewalls from other vendors will not be configured.

Renewal

The Proteus HTTP Key Server is rented from Labcenter and the rental must be renewed periodically. The term of the current rental is shown on the Key Server Controller application and is also shown in Licence Manager.

For a distributed (WAN) license you must renew your rental with Labcenter before it expires to prevent loss of service. The renewal of the keyserver is completely separate from the renewal of the Proteus software and is typically free of charge. We may however insist that you upgrade to a later version of the Keyserver for security or performance reasons.

Client Installation (Per Machine)

This is the installation and configuration of the Proteus Professional software package onto multiple desktop computers/laptops. Crucially, the Proteus software must be configured to license itself from the KeyServer.

Install the software by double clicking on the executable file, setting the remote license server option during setup and enter the IP Address and port (using the form IPAddress:port) to the license server during installation. For example 10.0.0.190:1639

To remove the possibility of DNS complications (and in particular DNS delays), it is much better to use the LAN facing IP address of the server here (e.g. 10.0.0.122:<port> instead of server.company.lan:<port>).

Once the installation has finished, you will need to close the installer before running Proteus in order for it to pick up the licence information. If you click on the button 'Run Proteus' in the installer, the software will appear as 'Un-Registered' and greyed out. Simply close Proteus and re-open from within Windows.

Client Installation (Batch / Silent Install)

1) Extract the MSI on Server

From the (administrative) command prompt you type something like:

setup_pro8.12.30540.0.exe /exenoui /a // /passive /qn TARGETDIR="\\Networkshare\ProteusSetup\"

where setup_pro8.12.30540.0.exe is the Proteus installer and the TARGETDIR path is the path to extract to. Typically executed on the server. It will extract the MSI and also several other required folders which will be the extracted CAB file.

2) Silent Install on the Client

Next, from the (administrative) command prompt, install to the clients. For example:

msiexec
 /i "\\networkshare\ProteusSetup\setup_pro8.12.30540.0.msi" /qn
 DATA_DIR="C:\ProgramData\Labcenter Electronics\Proteus 8 Professional\"
 APPDIR="C:\Program files (x86)\Labcenter Electronics\Proteus 8 Professional\"
 KEY_SERVER="FQDM:PORT"

where we have the path to msi that was extracted by step 1 (other files also extracted), the target program data directory and the target program directory. There are two directories that Proteus is installed in. One is the Program itself (APPDIR) which should go in to the Program File (x86) folder as this is a read only folder in Windows, and the second is the data file (DATA_DIR) which should be in the ProgramData folder, which is hidden but writable by the user. The latter stores any files that may need to be modified my the user.

"FQDM:PORT" could be something like servername.company.lan:8884 or 10.0.0.5:8884

The order of command line arguments is important.

To install a language pack with the installation the LANG_PACK="full path to language pack" can be appended. To prevent the re-installation of a language pack the NO_LANG_PACK=1 option can be appended.

Where a server license and dongle are installed the KEY_SERVER property can be set on the command line to point to the licence key server. If set this will set the environment variable, if not set the variable will be cleared.

Batch files on the client side can help with automation of this step.

Batch Installation

Batch installation is explained by Microsoft here: https://docs.microsoft.com/en-us/troubleshoot/windows-server/group-policy/use-group-policy-to-install-software

Licensing Change Only

This applies where the software already exists on the client machines and you want to switch between a locally licensed system (license key is installed on each computer) and a server based licensing system. Typically, your Proteus software is up to date so you are not following the procedure outlined above.

You can run the installer from the command line, passing in the KEY_SERVER variable. For example:

setup_pro8.2.18428.0.exe KEY_SERVER=10.0.0.110:8880

This will run the installer in interactive mode, from which the user can choose the repair option.

What you need to achieve here is the setting of the LXKSERVER environment variable to FQDM:PORT. Sys admins may be able to do this in a number of different ways.

Password Configuration (WAN License Only)

When Proteus is opened it will offer you a Login box. For a WAN Licence the the Username is anything and the password is what ever is provided by the System Administrator who set up the Keyserver utility / password. If you wish to store these details in the registry so that next time you open Proteus you do not have to log in, you can tick Store Login Details

Manual (Forced) Password via Command Prompt

If you wish to set the password manually you can do soClients authorising via a distributed licence then need to set a matching password to the one specified in the HTTP Key Server. This is done via an administrative command prompt or, more commonly, via batch file in a bulk installation.

The format of the command is:

LICENCE.EXE "-WANPASS=<password>" "/VERSION=Proteus 8 Professional"

Quotes are required around each parameter. No chevrons.

For Example:

Each client that wants to license from the Key Server needs to have this password set. If it not set, or is incorrectly set, an error message will be shown on the home page of the Proteus client.

Troubleshooting

The basic idea is that you should have two green status indicators on the Key Server controller. This will tell you that the service is running and that the license key is installed and correct.

After that it's a matter of using the live Diagnostics available on the Key Server together with your knowledge of your network setup to configure things correctly.

The logging directory will show the location of the actual log files on disk. While only the last 100 errors are logged to the window the file log will contain a complete list.

Here are a few things to check:

IP Address

Check that the IP address shown in the “Service Controller” is on the same subnet as all the clients.

Firewall

Ensure the server firewall configurations are allowing the “HTTP Key Server” service to listen on the configured port, and that no other services are bound to that port. Use 'netstat' at the command prompt to ensure that you are selecting a free port.

Dongle

If it's a SparKey Dongle, verify the dongle is installed correctly on the server by ensuring “spark dongle” is listed in the USB devices in Device Manager, and has no errors. There will also be a red LED light on the Dongle itself. See Manual Dongle Driver Installation section

.

If you have not inserted the dongle, you will receive the following message:

If you have inserted the incorrect dongle, i.e. the Licence number on the dongle does not match that of the licence key,you will receive the following message:

Client Configuration

Check the clients are correctly configured by typing “echo %LXKSERVER%” at a command prompt and verify the environment variable points to the correct server:port.

Check the error message (if any) on the client which fails to connect. This will be shown on the home page of the client machine when Proteus is started. For example:

Service Logs

Check the diagnostic logs for related errors. Diagnostics on the KeyServer will detail any errors and list clients that have connected. This is useful first to determine whether the client made it to the server at all (firewall or client config problems ?) and then to see why it failed to authenticate.

The visible log covers the latest 100 events. Open the log on disk in a text editor for a full history.

All start/stop, port fail and other keyserver errors are also logged in the Windows event viewer.

Port Configuration

Check to make sure that the port number is open, or try changing the port number to one that is, and restart the service (apply changes).

Note that the recommended environment is to install the software on the client machines and the licence on the server. Proteus is a high end CAD package that requires dedicated graphics and a thick client. It is a very bad idea to try and install the Proteus software on the server and remote access from multiple clients; at the very least this will result in a poor user experience and may breach your licence agreement!

System Time

Check that the system time on the clients and servers are within 5 minutes of each other. Network licensing requires that the times on the clients and license server are correct and within 5 minutes of each other, as is standard within Windows networks. If not, then you are likely to see the following error message:

Manual Dongle Driver Installation

Remove the Dongle from the machine.

Open the *.zip file that Labcenter provided and extract the relevant dongle driver (32 bit or 64 bit). Double click on the extracted Sparkey setup file and install the Dongle driver.

Insert the dongle once the installation is complete.

Update Control

In large corporations or institutions you may want to control the deployment of updates on client machines. This can be done by setting registry keys on the clients as follows:

HKLM\SOFTWARE\[Wow6432Node\]Labcenter Electronics\Proteus 8 Professional\Update Manager

Key values are then:

  • UpdateSchedule : a dword value in days between 2 and 30. This is the checking period for the client.
  • IgnoreBetas: an optional string which can be added and set to either "true" or "false"
  • disableUpdateInstallation: an optional string can be added and set to either "true" or "false". This will prevent any client machines from installing available updates independently.